MembershipListener (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.MembershipListener interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes
Interface MembershipListener

All Known Subinterfaces:
  ChannelInterceptor

All Known Implementing Classes:
  AbstractReplicatedMap, ChannelCoordinator, ChannelInterceptorBase, DomainFilterInterceptor, FragmentationInterceptor, GroupChannel, GzipInterceptor, LazyReplicatedMap, McastService, MessageDispatch15Interceptor, MessageDispatchInterceptor, NonBlockingCoordinator, OrderInterceptor, ReplicatedMap, SimpleCoordinator, SimpleTcpCluster, StaticMembershipInterceptor, TcpFailureDetector, TcpPingInterceptor, ThroughputInterceptor, TwoPhaseCommitInterceptor

    public interface MembershipListener

The MembershipListener interface is used as a callback to the membership service. It has two methods that will notify the listener when a member has joined the group and when a member has disappeared (crashed)

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Filip Hanik

Method Summary
`void` | `memberAdded(Member member)` A member was added to the group
`void` | `memberDisappeared(Member member)` A member was removed from the group If the member left voluntarily, the Member.getCommand will contain the Member.SHUTDOWN_PAYLOAD data

Method Detail

### memberAdded

    void memberAdded(Member member)

  A member was added to the group

  Parameters:
    `member` - Member - the member that was added

### memberDisappeared

    void memberDisappeared(Member member)

  A member was removed from the group
  If the member left voluntarily, the Member.getCommand will contain the Member.SHUTDOWN_PAYLOAD data

  Parameters:
    `member` - Member
  See Also:
    `Member.SHUTDOWN_PAYLOAD`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.